Developers

Create stage

POST
/project/stages

Create stage

Authorization<token>

Value for the Authorization header parameter.

In: header

Request Body

The new Stage resource

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Lengthlength <= 100
description?|
Lengthlength <= 100000
dateStart*string
Formatdate-time
dateEnd*string
Formatdate-time
isBlameableRemovalEnabled*boolean
stageType?|
Formatuuid
project*string
Formatuuid
status*string

Value in

  • "in-preparation"
  • "open"
stageTemplate?|
Formatuuid

Response Body

curl -X POST "https://example.com/project/stages" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "dateStart": "2019-08-24T14:15:22Z",    "dateEnd": "2019-08-24T14:15:22Z",    "isBlameableRemovalEnabled": true,    "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",    "status": "in-preparation"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "status": "in-preparation",  "description": "string",  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "progress": 0,  "weight": 0,  "timePlanned": 0,  "timeReported": 0,  "isBlameableRemovalEnabled": false,  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectName": "string",  "stageType": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c"  },  "canManage": false,  "boardCount": null}